Bug 1022482 - Remove Data Center action isn’t roll forward after restart “ovirt-engine” or “vdsmd” service.
Remove Data Center action isn’t roll forward after restart “ovirt-engine” or ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: nobody nobody
Pavel Stehlik
infra
: Reopened, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 07:46 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 14:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 07:40:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm (688.09 KB, application/x-gzip)
2013-10-23 07:46 EDT, vvyazmin@redhat.com
no flags Details
engine (4.19 MB, text/x-log)
2013-11-05 11:51 EST, Aharon Canan
no flags Details
vdsm (8.61 MB, text/x-log)
2013-11-05 11:52 EST, Aharon Canan
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-10-23 07:46:04 EDT
Created attachment 815347 [details]
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm

Description of problem:
Remove Data Center action isn’t roll forward after restart “ovirt-engine” or “vdsmd” service.

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS19 environment:

Host OS: RHEL 6.5

RHEVM:  rhevm-3.3.0-0.27.beta1.el6ev.noarch
PythonSDK:  rhevm-sdk-python-3.3.0.16-1.el6ev.noarch
VDSM:  vdsm-4.13.0-0.3.beta1.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-29.el6.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.414.el6.x86_64
SANLOCK:  sanlock-2.8-1.el6.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. Create Data Center (DC) with one Host and one Storage Domain (SD)
2. Enter SD to “Maintenance” mode
3. Remove DC
4. During remove DC action run following action:
	a. Reboot host - Test Case 139739
	b. Restart vdsm - Test Case 139738
	c. Restart jboss (ovirt-engine) - Test Case 139740
	d. Restart RHEVM host - Test Case 139741

Actual results:
1. Action Fail
2. SD - become UP
3. There isn’t Roll Forward action

Expected results:
Action should fail and Roll Forward

Impact on user:
none

Workaround:
none
Comment 2 Barak 2013-10-27 08:47:17 EDT
were these test cases executed and passed on 3.2 ?

was it force remove ? or remove ?
Comment 5 Aharon Canan 2013-11-05 11:50:18 EST
(In reply to Barak from comment #2)
> were these test cases executed and passed on 3.2 ?
> 
didn't see any execution on 3.2 (no TCMS runs) - removing regression

> was it force remove ? or remove ?

I recheck it with remove and DC become active as well as SD.

host (10.35.116.2), 1 SD (on VNX - ISCSI)
remove the DC and restart vdsm on host 

attaching logs
Comment 6 Aharon Canan 2013-11-05 11:51:19 EST
Created attachment 819889 [details]
engine
Comment 7 Aharon Canan 2013-11-05 11:52:19 EST
Created attachment 819890 [details]
vdsm
Comment 8 Barak 2013-11-05 12:20:06 EST
does the DC still exists ?
Comment 9 Aharon Canan 2013-11-06 03:42:57 EST
yes
Comment 11 Aharon Canan 2013-11-06 04:16:54 EST
The SD became active instead remain maintenance.
In case no roll forward, I expect it to remain the same.

Note You need to log in before you can comment on or make changes to this bug.